#
# spec file for package python-yaml
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?py_ver:     %define py_ver     %(python -c "import sys; v=sys.version_info[:2]; print '%%d.%%d'%%v" 2>/dev/null || echo PYTHON-NOT-FOUND)}
%{!?py_prefix:  %define py_prefix  %(python -c "import sys; print sys.prefix" 2>/dev/null || echo PYTHON-NOT-FOUND)}
%{!?py_libdir:  %define py_libdir  %{py_prefix}/%{_lib}/python%{py_ver}}
%{!?py_incdir:  %define py_incdir  %{py_prefix}/include/python%{py_ver}}
%{!?py_sitedir: %define py_sitedir %{py_libdir}/site-packages}
%endif

Summary:        PyYAML is a YAML parser and emitter for Python

Name:           python-yaml
Version:        3.09
Release:        1.3
License:        X11/MIT
Group:          Development/Libraries/Python
Url:            http://pyyaml.org/
# http://pyyaml.org/download/pyyaml/PyYAML-%{version}.tar.gz
Source0:        PyYAML-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} > 0
%py_requires
%endif
BuildRequires:  libyaml-0-2 libyaml-devel python-devel
%if 0%{?suse_version} >= 1110
Requires:       python-base >= %{py_ver}
%else
Requires:       python >= %{py_ver}
%endif
Provides:       PyYAML = %{version}

%description 
PyYAML is a YAML parser and emitter for the Python programming
language. YAML is a data serialization format designed for human
readability and interaction with scripting languages.

Authors: Kirill Simonov <xi@resolvent.net>



%prep
%setup -q -n "PyYAML-%{version}"

%build
%__python ./setup.py build

%install

%if 0%{?suse_version} 
%__python ./setup.py install \
	--prefix="%{_prefix}" \
	--root="%{buildroot}" \
    --record-rpm=files.lst
%else
%__python ./setup.py install \
	--prefix="%{_prefix}" \
	--root="%{buildroot}" 
%endif

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%if 0%{?suse_version} 

%files -f files.lst
%else

%files
%endif
%defattr(-,root,root)
%doc CHANGES LICENSE README
%{py_sitedir}/*

%changelog
* Wed Feb  9 2011 ro@suse.de
- overhaul python macro usage
* Tue Feb  8 2011 ma@novell.com
- fix specfile
* Tue Feb  1 2011 mc@suse.de
- fix build for RH
* Fri Dec 11 2009 pascal.bleser@opensuse.org
- use --record-rpm
- moved to openSUSE build service
* Fri Nov 13 2009 toni@links2linux.de
- initial build of version 3.09
